Bug 195458 - reverse-map bug in mtr and patch
reverse-map bug in mtr and patch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 08:16 EDT by Marcela Mašláňová
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 03:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2006-06-15 08:16:13 EDT
Description of problem:
mtr 0.71 does not resolve IPv6 addresses to hostnames.  This is a known bug
accidentally introduced in version 0.70.

Version-Release number of selected component (if applicable):
0.71-0.FC4.1

How reproducible:
On an IPv6 connected host, run mtr to an IPv6 site (eg. www.arin.net)

Steps to Reproduce:
1.sudo mtr www.arin.net
2.
3.
  
Actual results:
From an unpatched system:
                             My traceroute  [v0.71]
slimemold.creativedynamo.com (::)                      Tue Jun 13 03:59:59 2006
Keys:  Help   Display mode   Restart statistics   Order of fields   quit
                                       Packets               Pings
 Host                                Loss%   Snt   Last   Avg  Best  Wrst StDev
 1. 2002:c058:6301::                  0.0%    13    6.3   4.1   3.6   6.3   0.7
 2. unknown.occaid.net                0.0%    13  132.2 133.0 132.2 134.5   0.6
 3. unknown.occaid.net                0.0%    13  132.8 132.5 132.0 132.9   0.3
 4. unknown.occaid.net                0.0%    13  132.8 513.1 132.1 5079. 1372.
 5. unknown.occaid.net                0.0%    13  132.5 505.5 132.0 4979. 1344.
 6. unknown.occaid.net                0.0%    13  133.8 133.4 132.5 135.0   0.6
 7. 2001:500:4:10::13                 0.0%    12  134.0 133.4 133.0 134.0   0.3
 8. 2001:500:4:1::80                  0.0%    12  133.7 135.0 133.2 144.1   3.3
Expected results:

From a patched system:
                             My traceroute  [v0.71]
granita.lava.net (::)                                  Tue Jun 13 04:03:27 2006
Keys:  Help   Display mode   Restart statistics   Order of fields   quit
                                       Packets               Pings
 Host                                Loss%   Snt   Last   Avg  Best  Wrst StDev
 1. puaiohi-fe1-0-1.lava.net          0.0%     7    3.5   2.8   2.0   3.5   0.5
 2. akepa-e0-0-7.lava.net             0.0%     7    2.6   2.7   2.6   2.7   0.1
 3. 4.ip-0-1-0.cr1.sfo2.us.occaid.ne  0.0%     7   72.4  72.4  72.2  72.6   0.1
 4. 6.fe-0-3.cr1.mci1.us.occaid.net   0.0%     7  107.5 107.9 107.5 108.4   0.4
 5. 57.ge0-0.cr1.ord1.us.occaid.net   0.0%     7  120.2 119.9 119.3 120.2   0.3
 6. ge-0-1-0.cr1.iad1.us.occaid.net   0.0%     6  146.9 146.9 146.7 147.3   0.2
 7. arin-gw1.customer.occaid.net      0.0%     6  147.5 147.4 146.9 147.9   0.3
 8. 2001:500:4:10::13                 0.0%     6  147.4 147.9 147.4 148.3   0.3
 9. 2001:500:4:1::80                  0.0%     6  147.5 147.6 147.1 148.5   0.5

Additional info:

Patch from http://www.lava.net/~tony/mtr/patch-mtr-0.71:

--- mtr-0.71.orig/dns.c 2006-03-22 19:45:58.000000000 -1000
+++ mtr-0.71/dns.c      2006-03-25 11:41:31.000000000 -1000
@@ -1357,7 +1357,7 @@
 #ifdef ENABLE_IPV6
 /* Returns an ip6.arpa character string. */
 void addr2ip6arpa( ip_t * ip, char * buf ) {
-  char * p = (char *) ip;
+  unsigned char * p = (unsigned char *) ip;
   char * b = buf;
   int i;
Additional info:

Note You need to log in before you can comment on or make changes to this bug.